# Uses of Interface
org.springframework.beans.factory.xml.BeanDefinitionDecorator

Packages that use BeanDefinitionDecorator
Package
Description
org.springframework.beans.factory.xml
Contains an abstract XML-based `BeanFactory` implementation, including a standard "spring-beans" XSD.

## Uses of BeanDefinitionDecorator in org.springframework.beans.factory.xml

Methods in org.springframework.beans.factory.xml with parameters of type BeanDefinitionDecorator
Modifier and Type
Method
Description
`protected final void`
NamespaceHandlerSupport.`registerBeanDefinitionDecorator(String elementName, BeanDefinitionDecorator dec)`
Subclasses can call this to register the supplied `BeanDefinitionDecorator` to handle the specified element.
`protected final void`
NamespaceHandlerSupport.`registerBeanDefinitionDecoratorForAttribute(String attrName, BeanDefinitionDecorator dec)`
Subclasses can call this to register the supplied `BeanDefinitionDecorator` to handle the specified attribute.